Skip to navigation

Get volume details

Returns details of a specific block storage volume

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

idstringRequired
Volume ID

Response

Volume details
idstringformat: "uuid"
Unique identifier of the volume
namestring
Name of the volume
sizeGbinteger
Size of the volume in GB
statusstring
Current status of the volume
vmIdstring or nullformat: "uuid"
ID of the VM the volume is attached to. Null for detached volumes.
regionstring
Label of the region where the volume is located
createdAtdatetime
When the volume was created

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error